kudu-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From t...@apache.org
Subject incubator-kudu git commit: client_samples-test: use thirdparty cmake if none is on the system
Date Fri, 15 Jan 2016 07:21:24 GMT
Repository: incubator-kudu
Updated Branches:
  refs/heads/master 6f0a51bae -> 3eafca50f


client_samples-test: use thirdparty cmake if none is on the system

Typically, we want client_samples-test to use the system-installed
cmake, so that we can make sure our generated cmake file works even
with older versions of cmake. However, some people may not have
cmake at all, in which case we should fall back to the one in
thirdparty.

Change-Id: Iace6941eb2d9ba085d2cc062d30927b9e5633743
Reviewed-on: http://gerrit.cloudera.org:8080/1792
Tested-by: Internal Jenkins
Reviewed-by: Adar Dembo <adar@cloudera.com>


Project: http://git-wip-us.apache.org/repos/asf/incubator-kudu/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-kudu/commit/3eafca50
Tree: http://git-wip-us.apache.org/repos/asf/incubator-kudu/tree/3eafca50
Diff: http://git-wip-us.apache.org/repos/asf/incubator-kudu/diff/3eafca50

Branch: refs/heads/master
Commit: 3eafca50f30f56b699d5bb388fa6c9daa54a27a5
Parents: 6f0a51b
Author: Todd Lipcon <todd@apache.org>
Authored: Thu Jan 14 17:54:52 2016 -0800
Committer: Todd Lipcon <todd@apache.org>
Committed: Fri Jan 15 07:05:58 2016 +0000

----------------------------------------------------------------------
 src/kudu/client/client_samples-test.sh | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-kudu/blob/3eafca50/src/kudu/client/client_samples-test.sh
----------------------------------------------------------------------
diff --git a/src/kudu/client/client_samples-test.sh b/src/kudu/client/client_samples-test.sh
index b5a3e00..7b43444 100755
--- a/src/kudu/client/client_samples-test.sh
+++ b/src/kudu/client/client_samples-test.sh
@@ -55,10 +55,18 @@ else
 fi
 popd
 
+# Prefer the cmake on the system path, since we expect our client library
+# to be usable with older versions of cmake. But if it isn't there,
+# use the one from thirdparty.
+CMAKE=$(which cmake || :)
+if [ -z "$CMAKE" ]; then
+  CMAKE=$ROOT/thirdparty/installed/bin/cmake
+fi
+
 # Build the client samples using the client library.
 # We can just always use Make here, since we're calling cmake ourselves.
 pushd $SAMPLES_DIR
-CMAKE_PREFIX_PATH=$PREFIX_DIR cmake .
+CMAKE_PREFIX_PATH=$PREFIX_DIR $CMAKE .
 make -j$(getconf _NPROCESSORS_ONLN)
 popd
 


Mime
View raw message